<template>
	<div :style="style" />
</template>

<script lang="ts">
import { Component, Prop, Vue } from 'vue-property-decorator'
@Component
export default class Thumbnail extends Vue {
	@Prop({ default: '' }) readonly src!: string
	customLogo = this.$store.state.customLogoURL

	get style(): string {
		let style = ''
		if (this.src) {
			style += `background-image: url('${this.src}');`;
		}
		return style
	}
}
</script>

<style lang="scss" scoped>
div {
	position: relative;
	overflow: hidden;
	background-image: url('~@/assets/img/beemenu-icon.png');
	background-size: cover;
	background-color: #d8d8d8;
	background-repeat: no-repeat;
	background-position: center;
	flex-shrink: 0;
	img {
		width: 100%;
		height: 100%;
		display: block;
		position: absolute;
		z-index: 2;
		top: 0px;
		left: 0px;
		object-fit: cover;
	}
}
</style>
